package controller

import (
	"github.com/loveuer/nf/nft/log"
	"nf-disk/internal/handler"
	"nf-disk/internal/ndh"
	"reflect"
)

func (a *App) register(path string, handler ndh.Handler) {
	name := reflect.ValueOf(handler).String()
	log.Info("app register: path = %s, name = %s", path, name)
	a.handlers[path] = handler
}

func initApi(a *App) {
	a.register("/api/connection/test", handler.ConnectionTest)
}
